<?php


namespace IPS\mobilemenu\modules\admin\mobilemenu;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * buttonsettings
 */
class _buttonsettings extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		
		parent::execute();
	}

	/**
	 * ...
	 *
	 * @return	void
	 */
	protected function manage()

	{
		$form = new \IPS\Helpers\Form;
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxmm_setting_button1_show', \IPS\Settings::i()->vxmm_setting_button1_show, FALSE, array( 'togglesOn' => array( 'vxmm_setting_button1_icon', 'vxmm_setting_button1_text', 'vxmm_setting_button1_link' ) ) ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button1_icon', \IPS\Settings::i()->vxmm_setting_button1_icon, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button1_icon' ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button1_text', \IPS\Settings::i()->vxmm_setting_button1_text, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button1_text' ) );
		$form->add( new \IPS\Helpers\Form\Url( 'vxmm_setting_button1_link', \IPS\Settings::i()->vxmm_setting_button1_link, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button1_link' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxmm_setting_button2_show', \IPS\Settings::i()->vxmm_setting_button2_show, FALSE, array( 'togglesOn' => array( 'vxmm_setting_button2_icon', 'vxmm_setting_button2_text', 'vxmm_setting_button2_link' ) ) ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button2_icon', \IPS\Settings::i()->vxmm_setting_button2_icon, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button2_icon' ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button2_text', \IPS\Settings::i()->vxmm_setting_button2_text, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button2_text' ) );
		$form->add( new \IPS\Helpers\Form\Url( 'vxmm_setting_button2_link', \IPS\Settings::i()->vxmm_setting_button2_link, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button2_link' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxmm_setting_button3_show', \IPS\Settings::i()->vxmm_setting_button3_show, FALSE, array( 'togglesOn' => array( 'vxmm_setting_button3_icon', 'vxmm_setting_button3_text', 'vxmm_setting_button3_link' ) ) ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button3_icon', \IPS\Settings::i()->vxmm_setting_button3_icon, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button3_icon' ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button3_text', \IPS\Settings::i()->vxmm_setting_button3_text, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button3_text' ) );
		$form->add( new \IPS\Helpers\Form\Url( 'vxmm_setting_button3_link', \IPS\Settings::i()->vxmm_setting_button3_link, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button3_link' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxmm_setting_button4_show', \IPS\Settings::i()->vxmm_setting_button4_show, FALSE, array( 'togglesOn' => array( 'vxmm_setting_button4_icon', 'vxmm_setting_button4_text', 'vxmm_setting_button4_link' ) ) ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button4_icon', \IPS\Settings::i()->vxmm_setting_button4_icon, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button4_icon' ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button4_text', \IPS\Settings::i()->vxmm_setting_button4_text, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button4_text' ) );
		$form->add( new \IPS\Helpers\Form\Url( 'vxmm_setting_button4_link', \IPS\Settings::i()->vxmm_setting_button4_link, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button4_link' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxmm_setting_button5_show', \IPS\Settings::i()->vxmm_setting_button5_show, FALSE, array( 'togglesOn' => array( 'vxmm_setting_button5_icon', 'vxmm_setting_button5_text', 'vxmm_setting_button5_link' ) ) ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button5_icon', \IPS\Settings::i()->vxmm_setting_button5_icon, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button5_icon' ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button5_text', \IPS\Settings::i()->vxmm_setting_button5_text, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button5_text' ) );
		$form->add( new \IPS\Helpers\Form\Url( 'vxmm_setting_button5_link', \IPS\Settings::i()->vxmm_setting_button5_link, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button5_link' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxmm_setting_button6_show', \IPS\Settings::i()->vxmm_setting_button6_show, FALSE, array( 'togglesOn' => array( 'vxmm_setting_button6_icon', 'vxmm_setting_button6_text', 'vxmm_setting_button6_link' ) ) ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button6_icon', \IPS\Settings::i()->vxmm_setting_button6_icon, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button6_icon' ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button6_text', \IPS\Settings::i()->vxmm_setting_button6_text, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button6_text' ) );
		$form->add( new \IPS\Helpers\Form\Url( 'vxmm_setting_button6_link', \IPS\Settings::i()->vxmm_setting_button6_link, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button6_link' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxmm_setting_button7_show', \IPS\Settings::i()->vxmm_setting_button7_show, FALSE, array( 'togglesOn' => array( 'vxmm_setting_button7_icon', 'vxmm_setting_button7_text', 'vxmm_setting_button7_link' ) ) ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button7_icon', \IPS\Settings::i()->vxmm_setting_button7_icon, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button7_icon' ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button7_text', \IPS\Settings::i()->vxmm_setting_button7_text, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button7_text' ) );
		$form->add( new \IPS\Helpers\Form\Url( 'vxmm_setting_button7_link', \IPS\Settings::i()->vxmm_setting_button7_link, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button7_link' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxmm_setting_button8_show', \IPS\Settings::i()->vxmm_setting_button8_show, FALSE, array( 'togglesOn' => array( 'vxmm_setting_button8_icon', 'vxmm_setting_button8_text', 'vxmm_setting_button8_link' ) ) ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button8_icon', \IPS\Settings::i()->vxmm_setting_button8_icon, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button8_icon' ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button8_text', \IPS\Settings::i()->vxmm_setting_button8_text, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button8_text' ) );
		$form->add( new \IPS\Helpers\Form\Url( 'vxmm_setting_button8_link', \IPS\Settings::i()->vxmm_setting_button8_link, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button8_link' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxmm_setting_button9_show', \IPS\Settings::i()->vxmm_setting_button9_show, FALSE, array( 'togglesOn' => array( 'vxmm_setting_button9_icon', 'vxmm_setting_button9_text', 'vxmm_setting_button9_link' ) ) ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button9_icon', \IPS\Settings::i()->vxmm_setting_button9_icon, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button9_icon' ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button9_text', \IPS\Settings::i()->vxmm_setting_button9_text, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button9_text' ) );
		$form->add( new \IPS\Helpers\Form\Url( 'vxmm_setting_button9_link', \IPS\Settings::i()->vxmm_setting_button9_link, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button9_link' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxmm_setting_button0_show', \IPS\Settings::i()->vxmm_setting_button0_show, FALSE, array( 'togglesOn' => array( 'vxmm_setting_button0_icon', 'vxmm_setting_button0_text', 'vxmm_setting_button0_link' ) ) ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button0_icon', \IPS\Settings::i()->vxmm_setting_button0_icon, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button0_icon' ) );
		$form->add( new \IPS\Helpers\Form\Text( 'vxmm_setting_button0_text', \IPS\Settings::i()->vxmm_setting_button0_text, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button0_text' ) );
		$form->add( new \IPS\Helpers\Form\Url( 'vxmm_setting_button0_link', \IPS\Settings::i()->vxmm_setting_button0_link, TRUE, array(), NULL, NULL, NULL, 'vxmm_setting_button0_link' ) );
		if ( $values = $form->values() )
		{
			$form->saveAsSettings();
		}
		\IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack( 'Mobile Menu - Button Settings' );
		\IPS\Output::i()->output = $form;
	}
	// Create new methods with the same name as the 'do' parameter which should execute it
}