//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

/**
 * @mixin \IPS\Theme\class_core_front_global
 */
class mobilemenu_hook_mobilemenu extends _HOOK_CLASS_
{

/* !Hook Data - DO NOT REMOVE */
public static function hookData() {
 return array_merge_recursive( array (
  'globalTemplate' => 
  array (
    0 => 
    array (
      'selector' => '#ipsLayout_footer',
      'type' => 'add_after',
      'content' => '{{if \in_array( \IPS\Theme::i()->id, explode( \',\', \IPS\Settings::i()->vxmm_setting_themes ))}}
{{if \IPS\Settings::i()->vxmm_setting_groups == -1 or \IPS\Member::loggedIn()->inGroup(explode(\',\', \IPS\Settings::i()->vxmm_setting_groups))}}
<div id="mobileMenu">
    <div class=\'ipsColumns ipsColumns_bothSpacing ipsResponsive_showPhone mmContent\'>

{{if \IPS\Settings::i()->vxmm_setting_button1_show == \'1\'}}
<div class=\'ipsColumn ipsColumn_fluid\'>
    <a href=\'{setting="vxmm_setting_button1_link"}\'>
        <i class=\'fa {setting="vxmm_setting_button1_icon"} mmIcons\' aria-hidden="true"></i>
        {{if \IPS\Settings::i()->vxmm_setting_showtext == \'1\'}}<br>
        <span class=\'mmText\'>        
        {setting="vxmm_setting_button1_text"}
        </span>{{endif}}
    </a>
</div>
{{endif}}

{{if \IPS\Settings::i()->vxmm_setting_button2_show == \'1\'}}
<div class=\'ipsColumn ipsColumn_fluid\'>
    <a href=\'{setting="vxmm_setting_button2_link"}\'>
        <i class=\'fa {setting="vxmm_setting_button2_icon"} mmIcons\' aria-hidden="true"></i>
        {{if \IPS\Settings::i()->vxmm_setting_showtext == \'1\'}}<br>
        <span class=\'mmText\'>        
        {setting="vxmm_setting_button2_text"}
        </span>{{endif}}
    </a>
</div>
{{endif}}

{{if \IPS\Settings::i()->vxmm_setting_button3_show == \'1\'}}
<div class=\'ipsColumn ipsColumn_fluid\'>
    <a href=\'{setting="vxmm_setting_button3_link"}\'>
        <i class=\'fa {setting="vxmm_setting_button3_icon"} mmIcons\' aria-hidden="true"></i>
        {{if \IPS\Settings::i()->vxmm_setting_showtext == \'1\'}}<br>
        <span class=\'mmText\'>        
        {setting="vxmm_setting_button3_text"}
        </span>{{endif}}
    </a>
</div>
{{endif}}

{{if \IPS\Settings::i()->vxmm_setting_button4_show == \'1\'}}
<div class=\'ipsColumn ipsColumn_fluid\'>
    <a href=\'{setting="vxmm_setting_button4_link"}\'>
        <i class=\'fa {setting="vxmm_setting_button4_icon"} mmIcons\' aria-hidden="true"></i>
        {{if \IPS\Settings::i()->vxmm_setting_showtext == \'1\'}}<br>
        <span class=\'mmText\'>        
        {setting="vxmm_setting_button4_text"}
        </span>{{endif}}
    </a>
</div>
{{endif}}

{{if \IPS\Settings::i()->vxmm_setting_button5_show == \'1\'}}
<div class=\'ipsColumn ipsColumn_fluid\'>
    <a href=\'{setting="vxmm_setting_button5_link"}\'>
        <i class=\'fa {setting="vxmm_setting_button5_icon"} mmIcons\' aria-hidden="true"></i>
        {{if \IPS\Settings::i()->vxmm_setting_showtext == \'1\'}}<br>
        <span class=\'mmText\'>        
        {setting="vxmm_setting_button5_text"}
        </span>{{endif}}
    </a>
</div>
{{endif}}

{{if \IPS\Settings::i()->vxmm_setting_button6_show == \'1\'}}
<div class=\'ipsColumn ipsColumn_fluid\'>
    <a href=\'{setting="vxmm_setting_button6_link"}\'>
        <i class=\'fa {setting="vxmm_setting_button6_icon"} mmIcons\' aria-hidden="true"></i>
        {{if \IPS\Settings::i()->vxmm_setting_showtext == \'1\'}}<br>
        <span class=\'mmText\'>        
        {setting="vxmm_setting_button6_text"}
        </span>{{endif}}
    </a>
</div>
{{endif}}

{{if \IPS\Settings::i()->vxmm_setting_button7_show == \'1\'}}
<div class=\'ipsColumn ipsColumn_fluid\'>
    <a href=\'{setting="vxmm_setting_button7_link"}\'>
        <i class=\'fa {setting="vxmm_setting_button7_icon"} mmIcons\' aria-hidden="true"></i>
        {{if \IPS\Settings::i()->vxmm_setting_showtext == \'1\'}}<br>
        <span class=\'mmText\'>        
        {setting="vxmm_setting_button7_text"}
        </span>{{endif}}
    </a>
</div>
{{endif}}

{{if \IPS\Settings::i()->vxmm_setting_button8_show == \'1\'}}
<div class=\'ipsColumn ipsColumn_fluid\'>
    <a href=\'{setting="vxmm_setting_button8_link"}\'>
        <i class=\'fa {setting="vxmm_setting_button8_icon"} mmIcons\' aria-hidden="true"></i>
        {{if \IPS\Settings::i()->vxmm_setting_showtext == \'1\'}}<br>
        <span class=\'mmText\'>        
        {setting="vxmm_setting_button8_text"}
        </span>{{endif}}
    </a>
</div>
{{endif}}

{{if \IPS\Settings::i()->vxmm_setting_button9_show == \'1\'}}
<div class=\'ipsColumn ipsColumn_fluid\'>
    <a href=\'{setting="vxmm_setting_button9_link"}\'>
        <i class=\'fa {setting="vxmm_setting_button9_icon"} mmIcons\' aria-hidden="true"></i>
        {{if \IPS\Settings::i()->vxmm_setting_showtext == \'1\'}}<br>
        <span class=\'mmText\'>        
        {setting="vxmm_setting_button9_text"}
        </span>{{endif}}
    </a>
</div>
{{endif}}

{{if \IPS\Settings::i()->vxmm_setting_button0_show == \'1\'}}
<div class=\'ipsColumn ipsColumn_fluid\'>
    <a href=\'{setting="vxmm_setting_button0_link"}\'>
        <i class=\'fa {setting="vxmm_setting_button0_icon"} mmIcons\' aria-hidden="true"></i>
        {{if \IPS\Settings::i()->vxmm_setting_showtext == \'1\'}}<br>
        <span class=\'mmText\'>        
        {setting="vxmm_setting_button0_text"}
        </span>{{endif}}
    </a>
</div>
{{endif}}

    </div>
</div>

<style>
#ipsLayout_footer {
    padding-bottom: {setting="vxmm_setting_padding"}px;
}
#mobileMenu {
    background: {setting="vxmm_setting_background"};
    opacity: {setting="vxmm_setting_opacity"};
    z-index: 5000;
    overflow-x: auto;
    position: fixed;
    bottom: 0;
}
.mmContent {
    text-align: center;
    margin-top: -{setting="vxmm_setting_margin"}px;
    margin-bottom: -{setting="vxmm_setting_margin"}px;
}
.mmIcons {
    font-size: {setting="vxmm_setting_iconsize"}px;
    color: {setting="vxmm_setting_iconcolor"};
}
.mmText {
    color: {setting="vxmm_setting_textcolor"};
}
@media screen and (max-width: 767px){
  #elGuestTerms {
      margin-bottom: {setting="vxmm_setting_cookies"}px;
  }
}
</style>

{{if \IPS\Settings::i()->vxmm_setting_hidedefault == \'1\'}}
<style>
#elMobileNav {
    display: none;
}
</style>
{{endif}}

{{endif}}
{{endif}}',
    ),
  ),
), parent::hookData() );
}
/* End Hook Data */


}
